org.apache.ignite.internal.visor.verify

## Class VisorValidateIndexesTaskResult

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.verify.VisorValidateIndexesTaskResult

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorValidateIndexesTaskResult
    extends VisorDataTransferObject

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorValidateIndexesTaskResult()` For externalization only.
`VisorValidateIndexesTaskResult(Map<UUID,VisorValidateIndexesJobResult> results, Map<UUID,Exception> exceptions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<UUID,Exception>` `exceptions()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`Map<UUID,VisorValidateIndexesJobResult>` `results()`
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorValidateIndexesTaskResult

    public VisorValidateIndexesTaskResult(Map<UUID,VisorValidateIndexesJobResult> results,
                                          Map<UUID,Exception> exceptions)

Parameters:
  `results` - Results.
  `exceptions` - Exceptions.

#### VisorValidateIndexesTaskResult

    public VisorValidateIndexesTaskResult()

For externalization only.

### Method Detail

#### exceptions

    public Map<UUID,Exception> exceptions()

Returns:
  Exceptions.

#### results

    public Map<UUID,VisorValidateIndexesJobResult> results()

Returns:
  Results from cluster.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018